local fs = require("functions.fs")

return {
  "folke/snacks.nvim",
  keys = {
    {
      "<leader>e",
      function()
        local rootdirectory = fs.getRootPath()

        Snacks.explorer({ cwd = rootdirectory })
      end,
      desc = "Explorer Snacks (root directory)",
      remap = true,
    },
  },
}
